## org.eclipse.emf.ecoretools.diagram.providers
Class EcoreIconProvider

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.emf.ecoretools.diagram.providers.EcoreIconProvider

All Implemented Interfaces:
  org.eclipse.gmf.runtime.common.core.service.IProvider, org.eclipse.gmf.runtime.common.ui.services.icon.IIconProvider

    public class EcoreIconProvider

extends org.eclipse.gmf.runtime.common.core.service.AbstractProvider
implements org.eclipse.gmf.runtime.common.ui.services.icon.IIconProvider

Constructor Summary
`EcoreIconProvider()`

Method Summary
`org.eclipse.swt.graphics.Image` `getIcon(org.eclipse.core.runtime.IAdaptable hint, int flags)`
`boolean` `provides(org.eclipse.gmf.runtime.common.core.service.IOperation operation)`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Constructor Detail

### EcoreIconProvider

    public EcoreIconProvider()

Method Detail

### getIcon

    public org.eclipse.swt.graphics.Image getIcon(org.eclipse.core.runtime.IAdaptable hint,
                                                  int flags)

  Specified by:
    `getIcon` in interface `org.eclipse.gmf.runtime.common.ui.services.icon.IIconProvider`

### provides

    public boolean provides(org.eclipse.gmf.runtime.common.core.service.IOperation operation)

  Specified by:
    `provides` in interface `org.eclipse.gmf.runtime.common.core.service.IProvider`

Copyright 2007 Anyware Technologies. All Rights Reserved.